<script setup>
import { ref, computed } from "vue"

const props = defineProps({
  title: String,
  height: [Number, String],
  width: [Number, String],
})

// variables
const heightNumber = ref(24)
const widthNumber = ref(24)

if (!Number.isNaN(props.height) && typeof props.height !== "undefined") {
  heightNumber.value = Number.parseInt(props.height)
} else if (typeof props.height === "undefined" && (!Number.isNaN(props.width) && typeof props.width !== "undefined")) {
  heightNumber.value = Number.parseInt(props.width)
}

if (!Number.isNaN(props.width) && typeof props.width !== "undefined") {
  widthNumber.value = Number.parseInt(props.width)
} else if (typeof props.width === "undefined" && (!Number.isNaN(props.height) && typeof props.height !== "undefined")) {
  widthNumber.value = Number.parseInt(props.height)
}

// computed
const titleString = computed(() => {
  if (typeof props.title === "string" && props.title.trim().length > 0) {
    return props.title.trim()
  }
  return ""
})
</script>

<template>
<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" preserveAspectRatio="xMidYMid meet">
  <title v-if="titleString.length > 0" v-html="title"></title>
  <path d="M12 20a8 8 0 1 0 0-16 8 8 0 0 0 0 16Z"></path>
  <path d="M12 14a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z"></path>
  <path d="M12 2v2"></path>
  <path d="M12 22v-2"></path>
  <path d="m17 20.66-1-1.73"></path>
  <path d="M11 10.27 7 3.34"></path>
  <path d="m20.66 17-1.73-1"></path>
  <path d="m3.34 7 1.73 1"></path>
  <path d="M14 12h8"></path>
  <path d="M2 12h2"></path>
  <path d="m20.66 7-1.73 1"></path>
  <path d="m3.34 17 1.73-1"></path>
  <path d="m17 3.34-1 1.73"></path>
  <path d="m11 13.73-4 6.93"></path>
</svg>
</template>
